<!DOCTYPE html>
<html>
<head>
	<title>Patients - Electronic Medical Records</title>
    <link rel="stylesheet" href="app.css">
	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">
</head>
<body>
	<nav>
		<div class="nav-group">
			<a class="nav-item nav-item-lg" href="landing.html">EMR</a>
		</div>
		<div class="nav-group">
			<a id="logout-link" class="nav-item" hidden>Logout</a>
		</div>
	</nav>
	
	<div class="container">
		<h1 id="unauthorized-msg" hidden>ERROR 401: Unauthorized. Please log in to continue</h1>
		<div id="search-container" style="text-align: center;">
			<div id="data-panel" style="margin: auto;">
				<div id="patient-data-container">
					<p id="my-info-err"></p>
					<form id="patient-data-form">
						<input name="id" id="id" style="display:none" type="number" />
						<input name="uid" id="uid" style="display:none" type="number" />
						<div class="field-box">
							<label for="firstName">First Name</label>
							<input name="firstName" id="firstName" size="10"/>
						</div>
						<div class="field-box">
							<label for="lastName">Last Name</label>
							<input name="lastName" id="lastName" size="10"/>
						</div>
						<div class="field-box">
							<label for="sex">Sex</label>
							<input name="sex" id="sex" size="1"/>
						</div>
						<div class="field-box">
							<label for="dob">DOB</label>
							<input name="dob" id="dob" size="4"/>
						</div>
						<div class="field-box">
							<label for="race">Race</label>
							<input name="race" id="race" size="4"/>
						</div>
						<div class="field-box">
							<label for="address">Address</label>
							<input name="address" id="address" size="25"/>
						</div>
						<div class="field-box">
							<label for="city">City</label>
							<input name="city" id="city" size="13"/>
						</div>
						<div class="field-box">
							<label for="state">State</label>
							<input name="state" id="state" size="1"/>
						</div>
						<div class="field-box">
							<label for="phone">Phone</label>
							<input name="phone" id="phone" size="9"/>
						</div>
						<div class="field-box">
							<label for="insuranceName">Insurance Name</label>
							<input name="insuranceName" id="insuranceName" size="16"/>
						</div>
						<div class="field-box">
							<label for="insurancePolicyNumber">Insurance Policy Number</label>
							<input name="insurancePolicyNumber" id="insurancePolicyNumber" size="15"/>
						</div>
						<div class="field-box">
							<label for="insuranceGroupID">Insurance Group ID</label>
							<input name="insuranceGroupID" id="insuranceGroupID" size="15"/>
						</div>
					</form>
					<div style="float: right;">
						<input type="button" id="save-patient-btn" value="Save"/>
						<input type="button" id="delete-patient-btn" value="Delete"/>
						<p id="patient-err" class="error"></p>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<script>
		var token = sessionStorage.getItem("token")
		if(token == null) {
			document.getElementById("unauthorized-msg").hidden = false;
			document.getElementById("search-container").style.display = "none";
		} else {
			document.getElementById("logout-link").hidden = false;
		}
	</script>
	<script src="logout.js"></script>
	<script src="my-info.js"></script>
</body>
</html>